Productsup
CDE APIApi referenceConnectors

Transfer ownership of connector

Transfer ownership of connector.

Sign in to run requests against the CDE API.
PUT
/connectors/{publicId}/owner

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/owner" \  -H "Content-Type: application/json" \  -d '{    "new_owner": "019e16f4-d601-7227-84e4-6524ffb82000",    "account": 789  }'
{
  "message": "A new owner has been assigned."
}
{
  "message": "Bad request.",
  "errors": {
    "new_owner": "Bucket is assigned to more than one Connector."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}

How is this guide?